Announcement

Collapse
No announcement yet.

Fatal error: Function name must be a string in forum/global.php(832) : eval()'d code on line 98

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Fatal error: Function name must be a string in forum/global.php(832) : eval()'d code on line 98

    My forum is throwing the following error all of a sudden, the file itself is actually fine, they all are and I since discovered that this is a database issue. When I restore my database it works but the last working one I have is 3 days ago so not ideal. Just curious what on earth could be in the database to trigger this type of error.

    I used mysqlcheck to repair/optimise etc but all to no avail. Any advise would be appreciated.

    Thanks,





    http://www.TheOlderGamers.com
    Your Mature Gaming Community!

  • #2
    What version of vBulletin are you running?
    What version of php is running?
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.6.4 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Vb 3.7.1
      PHP 5.2.17

      Old I know and the actual upgrade to 4.2 is scheduled for this weekend along with a whole os/php upgrade Things have been solid as a rock for years but seems we have a visit from Murphy prior of course. So regardless of the scheduled upgrade I still would like to get the current site live again.

      Thank you.

      http://www.TheOlderGamers.com
      Your Mature Gaming Community!

      Comment


      • #4
        I would upgrade php to 5.4 then upgrade vBulletin to 3.8.10. Your php version will need upgrading anyway one way or the other.

        Get it fixed before upgrading to 4. Performing a major upgrade on a broken site generally results in an upgraded, but even more broken, site.
        MARK.B | vBULLETIN SUPPORT

        TalkNewsUK - My vBulletin 5.6.4 Demo
        AdminAmmo - My Cloud Demo

        Comment


        • #5
          Tricky to upgrade the current site to 3.8 as it's heavily customised, but lets say that I were to do this first do you expect it to fix the database issue that is causing this error, any indication what in the database would be causing this?

          Thanks

          http://www.TheOlderGamers.com
          Your Mature Gaming Community!

          Comment


          • #6
            It isn't a database error so it isn't actually a database problem directly.

            if you're upgrading to 4 you will lose all addons anyway.

            I would start by disabling all plugins.
            MARK.B | vBULLETIN SUPPORT

            TalkNewsUK - My vBulletin 5.6.4 Demo
            AdminAmmo - My Cloud Demo

            Comment


            • #7
              3.7.1 is so old I dont have a copy lying around.
              Looking in later versions, that looks like its a probably a problem with creating the header or footer, have you edited them recently ?
              Baby, I was born this way

              Comment


              • #8
                I ended up doing a test upgrade on that latest DB and it worked so I pushed ahead with my upgrade to version 4 and that ended up working again. Not sure what caused this issue still, was becoming too much of a waste of time compared to just pushing ahead a few days early with the planned upgrade. You may consider this one closed.

                Thanks,

                http://www.TheOlderGamers.com
                Your Mature Gaming Community!

                Comment

                Related Topics

                Collapse

                Working...
                X